Boomi API Control Plane REST API - APISpecifications
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Download spec file
Get spec file for an API version.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| versionName required | string |
query Parameters
| replaceUrls | boolean |
| environmentId | string <uuid> |
Responses
Response Schema: application/octet-stream
Response samples
- 404
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload spec file
Upload raw spec file for an API version, overwriting any existing spec file for that API version.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| versionName required | string |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response Schema: application/json
| name required | string Filename (e.g. 'openapi.yaml'). |
| type required | string Enum: "current" "OPENAPI_V2" "OPENAPI_V3" "ASYNCAPI_V2" "GRAPHQL" "PROTOCOL_BUFFERS" Specification format type (e.g. OPENAPI_V3, ASYNCAPI_V2). |
| updatedAt | string <date-time> Timestamp of the last update to this specification. |
| apiId | string <uuid> Parent API UUID. |
| versionName | string Parent version name. |
object (LintResultInfoDTO) Governance validation summary. | |
| lintError | string Error if validation failed. |
Array of objects (RunningJobDTO) Active background jobs for this spec. Requires includeRunningJobs=true. |
Response samples
- 200
- default
{- "name": "string",
- "type": "current",
- "updatedAt": "2019-08-24T14:15:22Z",
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "versionName": "string",
- "lintNumbers": {
- "securityErrors": 0,
- "securityWarnings": 0,
- "securityInfos": 0,
- "qualityErrors": 0,
- "qualityWarnings": 0,
- "qualityInfos": 0,
- "numberOfRuleSets": 0,
- "securityScore": 0,
- "qualityScore": 0,
- "updatedAt": "2019-08-24T14:15:22Z"
}, - "lintError": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}Delete spec file
Delete spec file for an API version.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| versionName required | string |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Trigger spec lint update
Trigger a re-run of linting for the spec file of an API version. Returns a running job that can be used to track progress.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| versionName required | string |
Responses
Response Schema: application/json
| jobType required | string Enum: "BUILD_IN_INTEGRATION" "API_SPEC_LINT" "MCP_REGISTRY_SYNC" Type of operation this job performs. |
| name required | string Human-readable name of the job. |
| status required | string Enum: "IN_PROGRESS" "COMPLETE" "ERROR" Current execution status of the job. |
| entityId | string <uuid> UUID of the entity this job is operating on. |
| entityType | string Enum: "API" "API_SPEC" "API_PRODUCT" Type of entity this job is operating on. |
| createdAt | string <date-time> Timestamp when the job was created. |
| updatedAt | string <date-time> Timestamp of the last status update. |
| payload | string Serialized job payload data. |
| processId | string External process identifier, if applicable. |
| statusMessage | string Latest status message from the job. |
| id | string <uuid> UUID of the job. |
Response samples
- 200
- default
{- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Build API spec in Boomi Integration
Accept request to trigger Build in Boomi Integration and return generation status
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| versionName required | string |
Responses
Response Schema: application/json
| jobType required | string Enum: "BUILD_IN_INTEGRATION" "API_SPEC_LINT" "MCP_REGISTRY_SYNC" Type of operation this job performs. |
| name required | string Human-readable name of the job. |
| status required | string Enum: "IN_PROGRESS" "COMPLETE" "ERROR" Current execution status of the job. |
| entityId | string <uuid> UUID of the entity this job is operating on. |
| entityType | string Enum: "API" "API_SPEC" "API_PRODUCT" Type of entity this job is operating on. |
| createdAt | string <date-time> Timestamp when the job was created. |
| updatedAt | string <date-time> Timestamp of the last status update. |
| payload | string Serialized job payload data. |
| processId | string External process identifier, if applicable. |
| statusMessage | string Latest status message from the job. |
| id | string <uuid> UUID of the job. |
Response samples
- 200
- default
{- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Get spec lint results
Get lint results for the spec file for an API version.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| versionName required | string |
query Parameters
| severity | string Enum: "ERROR" "WARNING" "INFO" "HINT" |
| category | string Enum: "SECURITY" "QUALITY" |
Responses
Response Schema: application/json
required | Array of objects (LintResultRuleDTO) List of rules that produced violations. | ||||||||||||
Array
| |||||||||||||
Response samples
- 200
- default
{- "rules": [
- {
- "code": "string",
- "description": "string",
- "ruleSetName": "string",
- "category": "SECURITY",
- "severity": "ERROR",
- "issues": [
- {
- "path": "string",
- "message": "string",
- "startLine": 0,
- "startCharacter": 0,
- "endLine": 0,
- "endCharacter": 0
}
]
}
]
}Get spec file info
Get additional info about the spec file for an API version.
Authorizations:
path Parameters
| apiId required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| versionName required | string |
query Parameters
| includeRunningJobs | boolean |
Responses
Response Schema: application/json
| name required | string Filename (e.g. 'openapi.yaml'). |
| type required | string Enum: "current" "OPENAPI_V2" "OPENAPI_V3" "ASYNCAPI_V2" "GRAPHQL" "PROTOCOL_BUFFERS" Specification format type (e.g. OPENAPI_V3, ASYNCAPI_V2). |
| updatedAt | string <date-time> Timestamp of the last update to this specification. |
| apiId | string <uuid> Parent API UUID. |
| versionName | string Parent version name. |
object (LintResultInfoDTO) Governance validation summary. | |
| lintError | string Error if validation failed. |
Array of objects (RunningJobDTO) Active background jobs for this spec. Requires includeRunningJobs=true. |
Response samples
- 200
- default
{- "name": "string",
- "type": "current",
- "updatedAt": "2019-08-24T14:15:22Z",
- "apiId": "2500ac85-f71b-4d01-b32c-62f3af3fe2c5",
- "versionName": "string",
- "lintNumbers": {
- "securityErrors": 0,
- "securityWarnings": 0,
- "securityInfos": 0,
- "qualityErrors": 0,
- "qualityWarnings": 0,
- "qualityInfos": 0,
- "numberOfRuleSets": 0,
- "securityScore": 0,
- "qualityScore": 0,
- "updatedAt": "2019-08-24T14:15:22Z"
}, - "lintError": "string",
- "runningJobs": [
- {
- "name": "string",
- "jobType": "BUILD_IN_INTEGRATION",
- "status": "IN_PROGRESS",
- "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
- "entityType": "API",
- "createdAt": "2019-08-24T14:15:22Z",
- "updatedAt": "2019-08-24T14:15:22Z",
- "payload": "string",
- "processId": "string",
- "statusMessage": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]
}